org.springframework.cloud.dataflow.server.config

## Class VersionInfoProperties.DependencyAboutInfo

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.VersionInfoProperties.DependencyAboutInfo

- Enclosing class:
    VersionInfoProperties

      public static class VersionInfoProperties.DependencyAboutInfo
      extends Object

  Information about the dependency.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyAboutInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChecksumSha1()`
    `String` | `getChecksumSha1Url()`
    `String` | `getChecksumSha256()`
    `String` | `getChecksumSha256Url()`
    `String` | `getName()`
    `String` | `getUrl()`
    `String` | `getVersion()`
    `void` | `setChecksumSha1(String checksumSha1)` Establish the checksumSha1 for the dependency.
    `void` | `setChecksumSha1Url(String checksumSha1Url)` Establish the url where the checksumSha1 file exists..
    `void` | `setChecksumSha256(String checksumSha256)` Establish the checksumSha256 for the dependency.
    `void` | `setChecksumSha256Url(String checksumSha256Url)` Establish the url where the checksumSha256 file exists..
    `void` | `setName(String name)` Establish the display name for the dependency.
    `void` | `setUrl(String url)` Establish the url for the dependency.
    `void` | `setVersion(String version)` Establish the version for the dependency.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyAboutInfo

          public DependencyAboutInfo()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the display name of the dependency.

    - #### setName

          public void setName(String name)

      Establish the display name for the dependency.
      Parameters:
        `name` - String containing the name to be displayed.

    - #### getVersion

          public String getVersion()

      Returns:
        the version of the dependency.

    - #### setVersion

          public void setVersion(String version)

      Establish the version for the dependency.
      Parameters:
        `version` - String containing the version.

    - #### getUrl

          public String getUrl()

      Returns:
        the url of the dependency.

    - #### setUrl

          public void setUrl(String url)

      Establish the url for the dependency.
      Parameters:
        `url` - String containing the url.

    - #### getChecksumSha1

          public String getChecksumSha1()

      Returns:
        the sha1 encoding that should be returned for the dependency.

    - #### setChecksumSha1

          public void setChecksumSha1(String checksumSha1)

      Establish the checksumSha1 for the dependency.
      Parameters:
        `checksumSha1` - String containing the checksum value.

    - #### getChecksumSha1Url

          public String getChecksumSha1Url()

      Returns:
        the url to the file that contains the sha1 checksum.

    - #### setChecksumSha1Url

          public void setChecksumSha1Url(String checksumSha1Url)

      Establish the url where the checksumSha1 file exists..
      Parameters:
        `checksumSha1Url` - String containing the url.

    - #### getChecksumSha256

          public String getChecksumSha256()

      Returns:
        the sha256 encoding that should be returned for the dependency.

    - #### setChecksumSha256

          public void setChecksumSha256(String checksumSha256)

      Establish the checksumSha256 for the dependency.
      Parameters:
        `checksumSha256` - String containing the checksum value.

    - #### getChecksumSha256Url

          public String getChecksumSha256Url()

      Returns:
        the url to the file that contains the sha256 checksum.

    - #### setChecksumSha256Url

          public void setChecksumSha256Url(String checksumSha256Url)

      Establish the url where the checksumSha256 file exists..
      Parameters:
        `checksumSha256Url` - String containing the url.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.